

# AcceptCertificateTransfer
<a name="API_AcceptCertificateTransfer"></a>

Accepts a pending certificate transfer. The default state of the certificate is INACTIVE.

To check for pending certificate transfers, call [ListCertificates](API_ListCertificates.md) to enumerate your certificates.

Requires permission to access the [AcceptCertificateTransfer](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_AcceptCertificateTransfer_RequestSyntax"></a>

```
PATCH /accept-certificate-transfer/certificateId?setAsActive=setAsActive HTTP/1.1
```

## URI Request Parameters
<a name="API_AcceptCertificateTransfer_RequestParameters"></a>

The request uses the following URI parameters.

 ** [certificateId](#API_AcceptCertificateTransfer_RequestSyntax) **   <a name="iot-AcceptCertificateTransfer-request-uri-certificateId"></a>
The ID of the certificate. (The last part of the certificate ARN contains the certificate ID.)  
Length Constraints: Fixed length of 64.  
Pattern: `(0x)?[a-fA-F0-9]+`   
Required: Yes

 ** [setAsActive](#API_AcceptCertificateTransfer_RequestSyntax) **   <a name="iot-AcceptCertificateTransfer-request-uri-setAsActive"></a>
Specifies whether the certificate is active.

## Request Body
<a name="API_AcceptCertificateTransfer_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_AcceptCertificateTransfer_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_AcceptCertificateTransfer_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_AcceptCertificateTransfer_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** TransferAlreadyCompletedException **   
You can't revert the certificate transfer because the transfer is already complete.    
 ** message **   
The message for the exception.
HTTP Status Code: 410

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_AcceptCertificateTransfer_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/AcceptCertificateTransfer) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/AcceptCertificateTransfer) 